package com.jojubanking.boot.module.system.convert.mzjf;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.mzjf.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.mzjf.MzjfDO;

/**
 * 门诊缴费 Convert
 *
 * @author admin
 */
@Mapper
public interface MzjfConvert {

    MzjfConvert INSTANCE = Mappers.getMapper(MzjfConvert.class);

    MzjfDO convert(MzjfCreateReqVO bean);

    MzjfDO convert(MzjfUpdateReqVO bean);

    MzjfRespVO convert(MzjfDO bean);

    List<MzjfRespVO> convertList(List<MzjfDO> list);

    PageResult<MzjfRespVO> convertPage(PageResult<MzjfDO> page);

    List<MzjfExcelVO> convertList02(List<MzjfDO> list);

}
